#include <WindowsConstants.au3>
#include <GUIConstantsEx.au3>
#include <WinAPI.au3>
#include <IE.au3>
#include <StaticConstants.au3>

Opt("WinTitleMatchMode",2)

; ========== Tray-Men erstellen

#NoTrayIcon

Opt("TrayOnEventMode",1)
Opt("TrayMenuMode",3)

TrayCreateItem("Abbrechen")
TrayItemSetOnEvent(-1,"Beenden")

TraySetState()

TraySetToolTip("Neue INI erstellen")


If not FileExists("MiniBrowser.ini") then
  MsgBox(262144,"Neue INI","Es kann keine neue INI erstellt werden, weil MiniBrowser.ini nicht gefunden wurde!")
  Exit
Endif

$KorrLinks    = 4  ; Frame ?
$KorrOben     = 21 ; Fenstertitel?


; ========== URL abfragen

$hGUI         = GUICreate("URL oder Pfad + Datei eintragen",400,100)

$URL          = GUICtrlCreateInput("",10,22,380,22)

$Knopf        = GUICtrlCreateButton("Weiter",165,60,60,25)

GUISetState()


$msg          = 0

While $msg   <> $GUI_EVENT_CLOSE
  $msg        = GUIGetMsg()
  if $msg     = $Knopf Then ExitLoop
WEnd

$URL          = GUICtrlRead($URL)

GUIDelete()


; ========== Hauptfenster initialisieren

Opt("GUICoordMode", 2)

; -20, damit man das Fenster nicht links oder oben kleiner machen kann
$hGUI1        = GUICreate("Browser",@DesktopWidth,@DesktopHeight,-20,-20,BitOR($WS_SIZEBOX,$WS_POPUP,$WS_CLIPSIBLINGS, $WS_CLIPCHILDREN),$WS_EX_TOOLWINDOW)

GUISetState()


; ========== Browser-Fenster initialisieren

$oIE          = _IECreateEmbedded()

$MeinBrowser = GUICtrlCreateObj($oIE,0,0,@DesktopWidth,@DesktopHeight)

GUICtrlSetResizing(-1,$GUI_DOCKAUTO)

_IENavigate($oIE,$URL)


; ========== Leeren Fensterrahmen zeichnen

$hGUI2        = GUICreate("Ausschnitt bestimmen",400,300,100,100,$WS_SIZEBOX,BitOR($WS_EX_TOPMOST,$WS_EX_TOOLWINDOW))
GUISetState()

WinSetTrans("Ausschnitt","",110) ; Fenster teilweise transparent machen


; ========== Anleitung anzeigen

$AnzeigeText  = "Grsse des Fensters anpassen und genau ber" & @LF & "den gewnschten Ausschnitt legen" & @LF & @LF
$AnzeigeText  = $AnzeigeText & "Dann OK klicken"

$Antwort      = MsgBox(262145,"Mini-Browser INI-erstellen",$AnzeigeText)

If $Antwort   = 2 Then Exit

; ========== Fenster-Informationen holen

$FensterPos       = WinGetPos("Ausschnitt")

$AbschneidenLinks = $FensterPos[0] + $KorrLinks + 20 ; die 20 vom nach oben links verschieben werden bercksichtigt
$AbschneidenOben  = $FensterPos[1] + $KorrOben  + 20

$FensterBreit     = _WinAPI_GetClientWidth ($hGUI2)
$FensterHoch      = _WinAPI_GetClientHeight($hGUI2)

$BrowserMasse     = WinGetPos("Browser")
$BrowserBreit     = $BrowserMasse[2]
$BrowserHoch      = $BrowserMasse[3]

GUIDelete($hGUI2)
GUIDelete($hGUI1)


; ========== Name der INI abfragen

Opt("GUICoordMode", 1)

$hGUI         = GUICreate("Name der neuen INI-Datei eintragen; z.B. Meine.ini",420,120)

$INIDatei     = GUICtrlCreateInput("Beispiel.ini",55,22,300,22)

$Knopf        = GUICtrlCreateButton("Weiter",175,60,60,25)

GUICtrlCreateLabel("ACHTUNG: Allenfalls bestehende Datei mit gleichem Namen wird berschrieben!",0,100,420,20,$SS_CENTER)

GUISetState()

$msg          = 0

While $msg   <> $GUI_EVENT_CLOSE
  $msg        = GUIGetMsg()
    if $msg   = $Knopf then ExitLoop
WEnd

$INIDatei     = GUICtrlRead($INIDatei)

If StringinStr($INIDatei,".") = 0 Then $INIDatei = $INIDatei & ".INI"

GUIDelete()


; ========== INI-Datei schreiben

FileCopy("MiniBrowser.ini",$INIDatei,1)

IniWrite($INIDatei,"Einstellungen","URL"                        ," " & $URL)

IniWrite($INIDatei,"Einstellungen","AbstandLinks"               ," " & 200)
IniWrite($INIDatei,"Einstellungen","AbstandOben"                ," " & 200)

IniWrite($INIDatei,"Einstellungen","FensterBreit"               ," " & $FensterBreit)
IniWrite($INIDatei,"Einstellungen","FensterHoch"                ," " & $FensterHoch)

IniWrite($INIDatei,"Einstellungen","AbschneidenLinks"           ," " & $AbschneidenLinks)
IniWrite($INIDatei,"Einstellungen","AbschneidenOben"            ," " & $AbschneidenOben)

IniWrite($INIDatei,"Einstellungen","BrowserBreit"               ," " & $BrowserBreit)
IniWrite($INIDatei,"Einstellungen","BrowserHoch"                ," " & "Standard")

IniWrite($INIDatei,"Einstellungen","AktualisierungMinuten"      ," " & 15)
IniWrite($INIDatei,"Einstellungen","AktualisierungErzwingen"    ," " & 0)

IniWrite($INIDatei,"Einstellungen","Transparenz"                ," " & 0)

IniWrite($INIDatei,"Einstellungen","TransparenzHintergrund"     ," " & 0)

IniWrite($INIDatei,"Einstellungen","GeschwindigkeitAusblenden"  ," " & 100)
IniWrite($INIDatei,"Einstellungen","GeschwindigkeitEinblenden"  ," " & 100)

IniWrite($INIDatei,"Einstellungen","TopVordergrund"             ," " & 0)

IniWrite($INIDatei,"Einstellungen","FensterA"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterB"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterC"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterD"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterE"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterF"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterG"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterH"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterI"                   ," ")
IniWrite($INIDatei,"Einstellungen","FensterJ"                   ," ")

IniWrite($INIDatei,"Einstellungen","PausierenWennAnderesFenster"," " & 0)


; Neue INI starten

$Anzeige     = $INIDatei
$INIDatei    = StringUpper($INIDatei)

If WinExists($INIDatei & "Hauptfenster") Then
  WinSetTitle($INIDatei & "Hauptfenster","","Stop")
  Sleep(1100)
Endif

ShellExecute("MiniBrowser.exe",$Anzeige)  ; Damit nicht alles in Grossbuchstaben im Tooltyp des Minibrowsers

; Ausfhrungsbesttigung

$hGUI            = GUICreate("Fertig",300,50,250,250,$WS_POPUP,BitOR($WS_EX_TOPMOST,$WS_EX_LAYERED,$WS_EX_TOOLWINDOW))

GUISetBkColor(0xFFFFFF)

$Label           = GUICtrlCreateLabel("F E R T I G",0,0,300,80,-1,$GUI_WS_EX_PARENTDRAG)

GUICtrlSetFont($Label,30,400,0,"Arial")

GUICtrlSetColor($Label,0xFF0000)

WinWait($INIDatei & "DasWarTSAsIdee","",2)

GUISetState()

DllCall("user32.dll","int","SetLayeredWindowAttributes","hwnd",$hGUI,"long",0xFFFFFF,"byte",255,"long",0x3)

$Zaehler         = 0

While $Zaehler   < 10
  $Zaehler       = $Zaehler + 1
  WinSetOnTop("Fertig","",1)
  Sleep(1000)
WEnd


; ========== Funktion

Func Beenden()

Exit

Endfunc